Bug 972738 - ovirt-engine fails to start on Fedora 19
ovirt-engine fails to start on Fedora 19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:50 EDT by Dennis Gilmore
Modified: 2013-06-29 14:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: jacorb-2.3.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:35:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (5.23 KB, text/plain)
2013-06-11 16:42 EDT, Dennis Gilmore
no flags Details
server.log (57.47 KB, text/plain)
2013-06-11 16:43 EDT, Dennis Gilmore
no flags Details

  None (edit)
Description Dennis Gilmore 2013-06-10 09:50:45 EDT
Description of problem:
after ovirt in fedora failed to setup the db i installed ovirt-release-fedora and ran engine-setup the resulting instance fails to run. jboss fails to deploy jars

Version-Release number of selected component (if applicable):
ovirt-log-collector-3.2.2-1.fc18.noarch
ovirt-engine-tools-3.2.2-1.1.fc18.noarch
ovirt-engine-cli-3.2.0.12-1.fc19.noarch
ovirt-iso-uploader-3.2.2-1.fc18.noarch
ovirt-release-fedora-5-3.noarch
ovirt-engine-setup-3.2.2-1.1.fc18.noarch
ovirt-engine-webadmin-portal-3.2.2-1.1.fc18.noarch
ovirt-engine-restapi-3.2.2-1.1.fc18.noarch
ovirt-engine-3.2.2-1.1.fc18.noarch
ovirt-host-deploy-java-1.0.2-1.fc18.noarch
ovirt-engine-dbscripts-3.2.2-1.1.fc18.noarch
ovirt-engine-genericapi-3.2.2-1.1.fc18.noarch
ovirt-engine-backend-3.2.2-1.1.fc18.noarch
ovirt-image-uploader-3.2.2-1.fc18.noarch
ovirt-host-deploy-1.0.2-1.fc18.noarch
ovirt-engine-userportal-3.2.2-1.1.fc18.noarch
ovirt-engine-sdk-3.2.0.11-1.fc19.noarch
java-1.7.0-openjdk-1.7.0.19-2.3.9.12.fc19.x86_64
java-1.7.0-openjdk-devel-1.7.0.19-2.3.9.12.fc19.x86_64
jboss-remoting-jmx-1.0.5-1.fc19.noarch
jboss-transaction-1.1-api-1.0.1-4.fc19.noarch
jboss-jaxws-2.2-api-2.0.2-0.4.20120507gitd6937f.fc19.noarch
jboss-remote-naming-1.0.2-6.fc19.noarch
jboss-iiop-client-1.0.0-6.fc19.noarch
jboss-dmr-1.1.1-9.fc19.noarch
jboss-jaxr-1.0-api-1.0.2-4.fc19.noarch
jboss-classpool-scoped-1.0.0-5.fc19.noarch
jboss-threads-2.0.0-8.fc19.noarch
jboss-msc-1.0.2-5.fc19.noarch
jboss-marshalling-1.3.13-7.fc19.noarch
jbossws-native-4.1.0-5.fc19.noarch
jboss-vfs-3.1.0-6.fc19.noarch
jboss-sasl-1.0.0-6.fc19.noarch
jboss-interceptors-1.1-api-1.0.2-0.5.20120319git49a904.fc19.noarch
jboss-ejb3-ext-api-2.0.0-5.fc19.noarch
jboss-jsp-2.2-api-1.0.1-6.fc19.noarch
jboss-servlet-2.5-api-1.0.1-3.fc19.noarch
jboss-jaxrpc-1.1-api-1.0.1-3.fc19.noarch
jboss-common-core-2.2.18-9.fc19.noarch
jboss-stdio-1.0.1-7.fc19.noarch
jboss-ejb-client-1.0.5-5.fc19.noarch
jboss-jad-1.2-api-1.0.1-5.fc19.noarch
jboss-servlet-3.0-api-1.0.1-5.fc19.noarch
jboss-jaspi-1.0-api-1.0.1-5.fc19.noarch
jboss-jacc-1.4-api-1.0.2-5.fc19.noarch
jbossws-cxf-4.1.0-4.fc19.noarch
jboss-jaxb-intros-1.0.2-4.fc19.noarch
jboss-interceptor-2.0.0-6.fc19.noarch
jboss-jms-1.1-api-1.0.1-5.fc19.noarch
jboss-jaxb-2.2-api-1.0.4-5.fc19.noarch
jboss-transaction-spi-7.0.0-6.fc19.noarch
jboss-connector-1.6-api-1.0.1-0.5.20120310git9dc9a5.fc19.noarch
jboss-jsf-2.1-api-2.0.2-6.fc19.noarch
jboss-annotations-1.1-api-1.0.1-0.5.20120212git76e1a2.fc19.noarch
jboss-classfilewriter-1.0.3-3.fc19.noarch
jboss-remoting-3.2.4-4.fc19.noarch
jboss-as-7.1.1-19.fc19.noarch
jboss-rmi-1.0-api-1.0.4-7.fc19.noarch
jboss-logmanager-1.2.2-5.fc19.noarch
jboss-ejb-3.1-api-1.0.2-6.fc19.noarch
jbossws-api-1.0.1-3.fc19.noarch
jboss-metadata-7.0.1-5.fc19.noarch
jboss-web-native-2.0.10-4.fc19.x86_64
jboss-web-7.0.13-5.fc18.noarch
jboss-logging-3.1.2-1.fc19.noarch
jbossws-common-tools-1.1.0-7.fc19.noarch
jboss-reflect-2.0.2-4.fc19.noarch
jboss-logmanager-log4j-1.0.0-7.fc19.noarch
jboss-jts-4.16.2-11.fc19.noarch
jbossws-common-2.1.0-3.fc19.noarch
jboss-modules-1.1.1-9.fc19.noarch
jbossws-spi-2.1.0-4.fc19.noarch
slf4j-jboss-logmanager-1.0.0-5.fc19.noarch
jboss-saaj-1.3-api-1.0.2-5.fc19.noarch
jboss-negotiation-2.2.0-9.SP1.fc19.noarch
jboss-logging-tools-1.0.2-1.fc19.noarch
jboss-invocation-1.1.1-6.fc19.noarch
jboss-el-2.2-api-1.0.1-0.6.20120212git2fabd8.fc19.noarch
jboss-jaxrs-1.1-api-1.0.1-5.fc19.noarch
jboss-naming-5.0.6-0.6.CR1.fc19.noarch
jboss-j2eemgmt-1.1-api-1.0.1-5.fc19.noarch
jboss-jstl-1.2-api-1.0.3-6.fc19.noarch
jboss-httpserver-1.0.0-5.fc19.noarch
jaxws-jboss-httpserver-httpspi-1.0.1-4.fc19.noarch
jbossxb-2.0.3-3.fc19.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
JBAS014777:   Services which failed to start:      service jboss.deployment.subunit."engine.ear"."ovirtengineweb.war".INSTALL: org.jboss.msc.service.StartException in service jboss.deployment.subunit."engine.ear"."ovirtengineweb.war".INSTALL: Failed to process phase INSTALL of subdeployment "ovirtengineweb.war" of deployment "engine.ear"
      service jboss.deployment.subunit."engine.ear"."webadmin.war".INSTALL: org.jboss.msc.service.StartException in service jboss.deployment.subunit."engine.ear"."webadmin.war".INSTALL: Failed to process phase INSTALL of subdeployment "webadmin.war" of deployment "engine.ear"
      service jboss.deployment.subunit."engine.ear"."restapi.war".INSTALL: org.jboss.msc.service.StartException in service jboss.deployment.subunit."engine.ear"."restapi.war".INSTALL: Failed to process phase INSTALL of subdeployment "restapi.war" of deployment "engine.ear"
      service jboss.deployment.subunit."engine.ear"."root.war".INSTALL: org.jboss.msc.service.StartException in service jboss.deployment.subunit."engine.ear"."root.war".INSTALL: Failed to process phase INSTALL of subdeployment "root.war" of deployment "engine.ear"
      service jboss.deployment.subunit."engine.ear"."userportal.war".INSTALL: org.jboss.msc.service.StartException in service jboss.deployment.subunit."engine.ear"."userportal.war".INSTALL: Failed to process phase INSTALL of subdeployment "userportal.war" of deployment "engine.ear"

2013-06-10 08:34:07,291 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-2" => {"JBAS014671: Failed services" => {"jboss.deployment.subunit.\"engine.ear\".\"webadmin.war\".INSTALL" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"engine.ear\".\"webadmin.war\".INSTALL: Failed to process phase INSTALL of subdeployment \"webadmin.war\" of deployment \"engine.ear\"","jboss.deployment.subunit.\"engine.ear\".\"ovirtengineweb.war\".INSTALL" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"engine.ear\".\"ovirtengineweb.war\".INSTALL: Failed to process phase INSTALL of subdeployment \"ovirtengineweb.war\" of deployment \"engine.ear\"","jboss.deployment.subunit.\"engine.ear\".\"root.war\".INSTALL" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"engine.ear\".\"root.war\".INSTALL: Failed to process phase INSTALL of subdeployment \"root.war\" of deployment \"engine.ear\"","jboss.deployment.subunit.\"engine.ear\".\"restapi.war\".INSTALL" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"engine.ear\".\"restapi.war\".INSTALL: Failed to process phase INSTALL of subdeployment \"restapi.war\" of deployment \"engine.ear\"","jboss.deployment.subunit.\"engine.ear\".\"userportal.war\".INSTALL" => "org.jboss.msc.service.StartException in service jboss.deployment.subunit.\"engine.ear\".\"userportal.war\".INSTALL: Failed to process phase INSTALL of subdeployment \"userportal.war\" of deployment \"engine.ear\""}}}}


Expected results:

everything works

Additional info:
Comment 1 Juan Hernández 2013-06-11 02:23:31 EDT
I can't say what is the problem with only those error messages. Would it be possible to clean the logs, restart the engine and attach to the bug the engine.log and server.log?

  # systemctl stop ovirt-engine
  # > /var/log/ovirt-engine/engine.log
  # > /var/log/ovirt-engine/server.log
  # systemctl start ovirt-engine

Then please attach the engine.log and server.log files.
Comment 2 Dennis Gilmore 2013-06-11 16:42:46 EDT
Created attachment 759837 [details]
engine.log
Comment 3 Dennis Gilmore 2013-06-11 16:43:16 EDT
Created attachment 759838 [details]
server.log
Comment 4 Juan Hernández 2013-06-12 02:29:07 EDT
These are the relevant messages in server.log:

  Error loading module from /var/tmp/ovirt-engine/modules/org/apache/james/mime4j/main/module.xml
  ParseError at [row,col]:[31,55]
  Failed to add resource root 'apache-mime4j-core.jar' at path 'apache-mime4j-core.jar'

The content of the /var/tmp/ovirt-engine/modules are copied from /usr/share/jboss-as/modules, and the content of the org/apache/james/mime4j/main/module.xml file there in Fedora 18 is the following:

  <module xmlns="urn:jboss:module:1.1" name="org.apache.james.mime4j">
      <properties>
          <property name="jboss.api" value="private"/>
      </properties>

      <resources>
          <resource-root path="apache-mime4j-core.jar"/>
          <resource-root path="apache-mime4j-dom.jar"/>
          <resource-root path="apache-mime4j-storage.jar"/>
          <!-- Insert resources here -->
      </resources>

      <dependencies>
          <module name="javax.api"/>
          <module name="org.apache.commons.logging"/>
      </dependencies>
  </module>

As you can see it references files named apache-mime4-*.jar, but the symlinks in directory org/apache/james/mime4j/main have different names:

  #rpm -qlpv jboss-as-7.1.1-19.fc19.noarch.rpm | grep org/apache/james
  drwxr-xr-x 2 root root    0 May 23 17:21 /usr/share/jboss-as/modules/org/apache/james
  drwxr-xr-x 2 root root    0 May 23 17:21 /usr/share/jboss-as/modules/org/apache/james/mime4j
  drwxr-xr-x 2 root root    0 May 23 17:23 /usr/share/jboss-as/modules/org/apache/james/mime4j/main
  lrwxrwxrwx 1 root root   38 May 23 17:23 /usr/share/jboss-as/modules/org/apache/james/mime4j  /main/core.jar -> /usr/share/java/apache-mime4j/core.jar
  lrwxrwxrwx 1 root root   37 May 23 17:23 /usr/share/jboss-as/modules/org/apache/james/mime4j/main/dom.jar -> /usr/share/java/apache-mime4j/dom.jar
  -rw-r--r-- 1 root root 1621 May 23 17:21 /usr/share/jboss-as/modules/org/apache/james/mime4j/main/module.xml
  lrwxrwxrwx 1 root root   41 May 23 17:23 /usr/share/jboss-as/modules/org/apache/james/mime4j/main/storage.jar -> /usr/share/java/apache-mime4j/storage.jar

So I think this is a bug in the jboss-as package for Fedora 19. Can you please close this and open the corresponding bug for the jboss-as package for Fedora 19?
Comment 5 Marek Goldmann 2013-06-17 02:27:58 EDT
I'll look at this today.
Comment 6 Marek Goldmann 2013-06-17 14:58:16 EDT
Dennis, Juan, Itamar,

I've created a scratch build for jboss-as that should fix the problem. Could you please check if this fixes the issue for you?

http://goldmann.fedorapeople.org/tmp/rhbz972738/jboss-as-7.1.1-20.fc19.noarch.rpm

I'll submit an update tomorrow.

Thanks!
Comment 7 Fedora Update System 2013-06-17 16:15:04 EDT
jacorb-2.3.1-7.fc19,jboss-as-7.1.1-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jacorb-2.3.1-7.fc19,jboss-as-7.1.1-20.fc19
Comment 8 Fedora Update System 2013-06-18 15:40:25 EDT
Package jacorb-2.3.1-7.fc19, jboss-as-7.1.1-20.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jacorb-2.3.1-7.fc19 jboss-as-7.1.1-20.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11152/jacorb-2.3.1-7.fc19,jboss-as-7.1.1-20.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-29 14:35:50 EDT
jacorb-2.3.1-7.fc19, jboss-as-7.1.1-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.